description

# FileReader class Null safety

Inheritance
  - Object
  - EventTarget
  - FileReader
Annotations
  - @Native("FileReader")

## Constructors

FileReader()
  factory

## Properties

error → DomException?
  read-only
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
on → Events
  This is an ease-of-use accessor for event streams which should only be used when an explicit accessor is not available.
  read-only, inherited
onAbort → Stream<ProgressEvent>
  Stream of `abort` events handled by this FileReader.
  read-only
onError → Stream<ProgressEvent>
  Stream of `error` events handled by this FileReader.
  read-only
onLoad → Stream<ProgressEvent>
  Stream of `load` events handled by this FileReader.
  read-only
onLoadEnd → Stream<ProgressEvent>
  Stream of `loadend` events handled by this FileReader.
  read-only
onLoadStart → Stream<ProgressEvent>
  Stream of `loadstart` events handled by this FileReader.
  read-only
onProgress → Stream<ProgressEvent>
  Stream of `progress` events handled by this FileReader.
  read-only
readyState → int
  read-only
result → Object?
  read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

abort() → void
addEventListener(String type, EventListener? listener, [bool? useCapture]) → void
  inherited
dispatchEvent(Event event) → bool
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
readAsArrayBuffer(Blob blob) → void
readAsDataUrl(Blob blob) → void
  @JSName('readAsDataURL')
readAsText(Blob blob, [String? label]) → void
removeEventListener(String type, EventListener? listener, [bool? useCapture]) → void
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Constants

abortEvent → const EventStreamProvider<ProgressEvent>
  Static factory designed to expose `abort` events to event handlers that are not necessarily instances of FileReader. [...]
  `const EventStreamProvider<ProgressEvent>('abort')`
DONE → const int
  `2`
EMPTY → const int
  `0`
errorEvent → const EventStreamProvider<ProgressEvent>
  Static factory designed to expose `error` events to event handlers that are not necessarily instances of FileReader. [...]
  `const EventStreamProvider<ProgressEvent>('error')`
loadEndEvent → const EventStreamProvider<ProgressEvent>
  Static factory designed to expose `loadend` events to event handlers that are not necessarily instances of FileReader. [...]
  `const EventStreamProvider<ProgressEvent>('loadend')`
loadEvent → const EventStreamProvider<ProgressEvent>
  Static factory designed to expose `load` events to event handlers that are not necessarily instances of FileReader. [...]
  `const EventStreamProvider<ProgressEvent>('load')`
LOADING → const int
  `1`
loadStartEvent → const EventStreamProvider<ProgressEvent>
  Static factory designed to expose `loadstart` events to event handlers that are not necessarily instances of FileReader. [...]
  `const EventStreamProvider<ProgressEvent>('loadstart')`
progressEvent → const EventStreamProvider<ProgressEvent>
  Static factory designed to expose `progress` events to event handlers that are not necessarily instances of FileReader. [...]
  `const EventStreamProvider<ProgressEvent>('progress')`